1. Social publishing
Highperformr API
  • Introduction
  • Contacts
    • Bulk fetch contacts by IDs
      POST
    • Get contacts by segment
      POST
    • Get contact by ID
      GET
    • Update contact
      PATCH
    • Delete contact
      DELETE
    • Upsert contact into a source
      POST
    • Bulk upsert contacts for source
      POST
    • Unique values of one field for a filtered contact set
      POST
    • Unified Data API - async contact enrichment
      POST
  • Schema
    • Get contact schema
      GET
    • Get discovery search contact schema
      GET
    • Get discovery search company schema
      GET
    • Get options for field
      GET
    • Get discovery search options for field
      GET
  • Discovery search
    • Find contacts v2
      POST
    • Find companies v2
      POST
  • Jobs
    • Get job status by id
      GET
  • Social publishing
    • Create draft post
      POST
    • List posts (drafts, scheduled, published)
      POST
    • Schedule or publish posts (bulk)
      POST
    • Schedule a LinkedIn comment on an external post
      POST
    • Configure cross-account auto-repost
      POST
    • Upload media file (multipart)
      POST
    • Assemble chunked uploads into one file
      POST
    • Import media from a public URL
      POST
  • Integrations (social)
    • List social integrations (filter)
Login
  1. Social publishing

Assemble chunked uploads into one file

POST
/v1/media/finalize-media-upload
After uploading each chunk with /media/upload, call this with ordered chunks (fileName, chunkNumber) and fileExtension to produce a single fileName + readUrl for use in posts (typically video).

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Merged file path and signed read URL
Bodyapplication/json

🟠401
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://app.highperformr.ai/api/v1/media/finalize-media-upload' \
--header 'x-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "fileExtension": "jpg",
    "chunks": [
        {
            "fileName": "string",
            "chunkNumber": 0
        }
    ]
}'
Response Response Example
200 - Example 1
{
    "fileName": "string",
    "readUrl": "http://example.com"
}
Modified at 2026-04-22 07:54:17
Previous
Upload media file (multipart)
Next
Import media from a public URL
Built with